Package ru.bgcrm.dao

# Class ParamValueDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.param.ParamValueDAO
ru.bgcrm.dao.ParamValueDAO

@Deprecated public class ParamValueDAO extends ParamValueDAO
Deprecated.

See Also:
  - `ParamValueDAO`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class org.bgerp.dao.param.ParamValueDAO

  `COPY_PARAMS_SEPARATORS, TABLE_NAMES`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamValueDAO(Connection con)`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class org.bgerp.dao.param.ParamValueDAO

  `copyParam, copyParam, copyParams, copyParams, deleteParams, getParamAddress, getParamAddress, getParamAddress, getParamAddress, getParamBlob, getParamDate, getParamDateTime, getParamEmail, getParamEmail, getParamFile, getParamFile, getParamList, getParamListCount, getParamListCountWithTitles, getParamListWithComments, getParamListWithTitles, getParamListWithTitlesAndComments, getParamMoney, getParamPhone, getParamPhoneValueItemFromRs, getParamText, getParamTree, getParamTreeCount, getParamTreeWithTitles, isParameterFilled, loadParameters, objectIdInvert, parameters, updateParamAddress, updateParamBlob, updateParamDate, updateParamDateTime, updateParamEmail, updateParamEmail, updateParamFile, updateParamFile, updateParamList, updateParamList, updateParamListCount, updateParamListCount, updateParamListWithComments, updateParamMoney, updateParamMoney, updateParamPhone, updateParamsAddressOnHouseUpdate, updateParamText, updateParamTree, updateParamTreeCount`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamValueDAO

    public ParamValueDAO(Connection con)
    Deprecated.